/* Framework for Polygon Structures on Clusters
 *
 * Leif Christian Larsen <leifchl@idi.ntnu.no>
 *
 */

/* fw_script.h: Routines for parsing/executing scripts. See fw_script.c.
 */

#ifndef FW_SCRIPT
#define FW_SCRIPT

#include <stdio.h>

#include "fw_wingededge.h"

void		script_execute(FILE *scriptfile, void (*extractpoints)(void), void (*addpolygon)(mesh *m, vertex *v0, vertex *v1, vertex *v2), void (*removepolygon)(mesh *m, vertex *v), void (*movevertex)(mesh *m, vertex *old, vertex *new));

#endif
