/* Framework for Polygon Structures on Clusters
 *
 * Leif Christian Larsen <leifchl@idi.ntnu.no>
 *
 */


/* fw_extract_gpu.c: Voxelization on the GPU
 */


#ifndef FW_EXTRACT_GPU
#define FW_EXTRACT_GPU

#include "fw_coord.h"
#include "fw_vector.h"
#include "fw_voxel.h"
#include "fw_wingededge.h"

/* See fw_extract_gpu.c for a description of these functions.
 */

# ifndef GPU_DISABLE

void 			extract_gpu_init(int* argc, char **argv);
coordinate_list  	*extract_gpu_3d_triangle(vector v1, vector Tc_1, vector Tc_2, vector Tc_3, quaternion *q1, coordinate_list *res);

# endif

#endif
